Skip to main content
GET
/
payments
/
integration-banks
/
{id}
Fetch Bank By ID
curl --request GET \
  --url https://api.breet.io/v1/payments/integration-banks/{id} \
  --header 'X-Breet-Env: <api-key>' \
  --header 'x-app-id: <api-key>' \
  --header 'x-app-secret: <api-key>'
{
  "message": "data fetched",
  "success": true,
  "data": {
    "id": "69737920df8b52679a8b198e",
    "account": "69547e78ab637caab7d7839c",
    "user": "68ca0d24604d65932aac2fc8",
    "accountName": "CHIROMA AHMED OLABANJI",
    "accountNumber": "3154021148",
    "autoSettlement": false,
    "bankId": "39",
    "bankName": "United Bank For Africa",
    "createdAt": "2026-01-23T13:35:27.948Z",
    "currency": "ngn",
    "disabled": false,
    "integration": "692d994b7ca6e4da422363fb",
    "isBusiness": true,
    "narration": "Breet withdrawal",
    "type": "nuban",
    "updatedAt": "2026-01-23T13:35:27.948Z"
  },
  "meta": {},
  "summary": {},
  "stats": {}
}

Authorizations

x-app-id
string
header
required

Your application ID from the Breet dashboard

x-app-secret
string
header
required

Your application secret from the Breet dashboard

X-Breet-Env
string
header
required

Environment selector: development or production

Path Parameters

id
string
required

ID of the saved bank account.

Response

200 - application/json

Bank details returned successfully